[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [avr-libc-dev] avr-libc-1.2.1 and atmega8

From: Joerg Wunsch
Subject: Re: [avr-libc-dev] avr-libc-1.2.1 and atmega8
Date: Sun, 30 Jan 2005 11:25:34 +0100
User-agent: Mutt/

As Erik Walthinsen wrote:

> First problem is that I can't get a functional avr-libc-1.2.1 even
> for developing with the atmega8's that I've got currently.  (I'm
> trying to get avr-libc-1.2.1 built even for the atmega8 because the
> 1.0.5 that's in debian is built incorrectly, and refuses to find
> __mulhi3, which is used by calloc and thus by stdio.  OTOH this
> build works just fine for atmega32, I've shipped several products to
> the other side of the world by doing so.)

This is an architecture problem.  __mulhi3 is only defined for avr2
and avr3 architectures (old AT90 core that doesn't have hardware
multiplication).  If you're trying to link in objects compiled for the
old core against a libc.a that has been compiled for a new core
(avr4/avr5), you'll get this error.

> The problem is that when this variable is not defined (which is what
> happens when you run ./configure), only AVR_CRT_AT90 and
> AVR_CRT_TINY get defined, which means *none* of the atmega libraries
> are built.

Running ./configure from the toplevel directory is not supported.  You
need to create a separate build directory, and run configure and make
from there.  That's basically what the ./doconf and ./domake scripts
are doing for you.

cheers, J"org               .-.-.   --... ...--   -.. .  DL8DTL

http://www.sax.de/~joerg/                        NIC: JW11-RIPE
Never trust an operating system you don't have sources for. ;-)

reply via email to

[Prev in Thread] Current Thread [Next in Thread]